package com.bankaudit.process.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_grading_param_dtls")
public class AuditGradingParamDtls implements Serializable{
 
	private static final long serialVersionUID = 5342068480738734923L;

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Id
	@Column(name="audit_id")
	private String auditId;
	
	@Id
	@Column(name="param_code")
	private String paramCode;
	
	@Column(name="sl_no")
	private Integer slNo;
	
	@Column(name="disp_seq_no")
	private String dispSeqNo;	
	
	@Column(name="param_name")
	private String paramName;
	
	@Column(name="max_score")
	private Double maxScore;
	
	@Column(name="score_effective")
	private String scoreEffective;
	
	@Column(name="score_effective_ro")
	private String scoreEffectiveRO;
	
	@Column(name="score_effective_ho")
	private String scoreEffectiveHO;
	
	@Column(name="remarks")
	private String remarks;	
	
	@Column(name="remarks_HO")
	private String remarksHO;	
	
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getAuditId() {
		return auditId;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	public String getParamCode() {
		return paramCode;
	}

	public void setParamCode(String paramCode) {
		this.paramCode = paramCode;
	}

	public Integer getSlNo() {
		return slNo;
	}

	public void setSlNo(Integer slNo) {
		this.slNo = slNo;
	}

	public String getDispSeqNo() {
		return dispSeqNo;
	}

	public void setDispSeqNo(String dispSeqNo) {
		this.dispSeqNo = dispSeqNo;
	}

	public String getParamName() {
		return paramName;
	}

	public void setParamName(String paramName) {
		this.paramName = paramName;
	}

	public Double getMaxScore() {
		return maxScore;
	}

	public void setMaxScore(Double maxScore) {
		this.maxScore = maxScore;
	} 

	public String getScoreEffective() {
		return scoreEffective;
	}

	public void setScoreEffective(String scoreEffective) {
		this.scoreEffective = scoreEffective;
	}

	public String getScoreEffectiveRO() {
		return scoreEffectiveRO;
	}

	public void setScoreEffectiveRO(String scoreEffectiveRO) {
		this.scoreEffectiveRO = scoreEffectiveRO;
	}

	public String getScoreEffectiveHO() {
		return scoreEffectiveHO;
	}

	public void setScoreEffectiveHO(String scoreEffectiveHO) {
		this.scoreEffectiveHO = scoreEffectiveHO;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getRemarksHO() {
		return remarksHO;
	}

	public void setRemarksHO(String remarksHO) {
		this.remarksHO = remarksHO;
	}  
	
}
